{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block title %}Nodos por Ciudad{% endblock %}
{% block pagelevelcss %}
<link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
{% endblock %}


{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active"><a href="#">Nodos por Ciudad</a></li>
    </ol>
  
  <!-- begin page-header -->
  <h1 class="page-header">Nodos por Ciudad <small></small></h1>
  <!-- end page-header -->


      <!-- begin row -->
      <div class="row">	  

          <!-- begin col-12 -->
          <div class="col-xl-12 ui-sortable">
              <!-- begin panel -->
              <div class="panel panel-inverse" data-sortable-id="ui-general-1">
              <!-- begin panel-heading -->
              <div class="panel-heading ui-sortable-handle">
                <h4 class="panel-title">Asociar Dirección a Nodo</h4>
                <div class="panel-heading-btn">
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
                </div>
              </div>
              <!-- end panel-heading -->
              <!-- begin panel-body -->
              <div class="panel-body">

            <form id="node-form" class="form-horizontal" method="post">
          {% csrf_token %}
          {{ form.media }}
                <div id="general" role="tabpanel" class="tab-pane active">
                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-12">
                          <input class="btn btn-success btn-sm pull-right ml-1" type="submit" value="Buscar">
                        </div>
                        </div>

                        <div class="row mb-3">
                            <div class="row mb-3 m-l-10 form-inline">
                              <div class="form-group m-r-10">
                                <label for="id_city" class="control-label m-r-10">Ciudades</label>
                                {% render_field form.location class="form-control" %}
                                {% for error in form.location.errors %}
                                <small class="f-s-12 text-danger">{{ error }}</small>
                                {% endfor %}
                              </div>
                            </div>
                          </div>
                          <div class="row mb-3">
                              <div class="row mb-3 m-l-10 form-inline">
                                <div class="form-group m-r-10">
                                    <label for="not_node"  class="control-label m-r-10"></label>
                                    <small class="f-s-12 text-danger not_node">{{ error }}</small>
                                </div>
                              </div>
                            </div>
                    
                
                  
                  <div id="map" style="width: 100%; height: 500px;"></div>

          
            </form>
          </div>
          <!-- end panel-body -->
        </div>
        <!-- end panel -->
        </div>
        <!-- end col-12 -->
        
        
        </div>
        <!-- end row -->
        
        <!-- begin scroll to top btn -->
        <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
        <!-- end scroll to top btn -->
        
        {% endblock %}


    {% block pageleveljs %}
    <script type="text/javascript">
    //active menu
    document.getElementById("infra_menu").classList.add("active");
    //active submenu item
    document.getElementById("nodecities_item").classList.add("active");
</script>

    <script src="https://maps.google.com/maps/api/js?sensor=false&key=AIzaSyB4AeY8Ts757OtL6PHEqHCLzsHk0L6NXUo&sensor=false" type="text/javascript"></script>
    <script>
    var address_maps = {
        data: []
    };
    nodes = [];
    {% for node in nodes %}
        nodes.push("{{ node.address|safe }}");
        //console.log("{{ node.address }}");
    {% endfor %}
    </script>
    <script>
     for (x=0;x<nodes.length;x++){
      $.ajax
      ({
        async: false,
        url:"https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyB4AeY8Ts757OtL6PHEqHCLzsHk0L6NXUo&address="+nodes[x]+"&sensor=false",
        type: "POST",
          success:function(res)
          {
            address_maps.data.push
            ({ 
                "address" : nodes[x], 
                "latitude" : res.results[0].geometry.location.lat,
                "longitud"  :res.results[0].geometry.location.lng,
                "id" : x,
            });
          }
      });
    }
    </script>

<script type="text/javascript">
if (nodes.length > 0 ){
        var map = new google.maps.Map(document.getElementById('map'), {
      zoom: 15,
      center: new google.maps.LatLng(address_maps.data[0]["latitude"], address_maps.data[0]["longitud"]),
      mapTypeId: google.maps.MapTypeId.ROADMAP
    });



    var infowindow = new google.maps.InfoWindow();

    var marker, i;

    for (i = 0; i < address_maps.data.length; i++) {  
      address_maps.data
      marker = new google.maps.Marker({
        position: new google.maps.LatLng(address_maps.data[i]["latitude"], address_maps.data[i]["longitud"]),


        map: map
      });

      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(address_maps.data[i]["address"]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }
    
}

$(function() {
    val = $("#id_location").val();
    city_name = $("#id_location option:selected").text();
    if (nodes.length == 0 ) {
        if (val != ""){
            $(".not_node").text("No se encontraron nodos en la ciudad de " +city_name);
        }
    }

});

</script>

<!-- Work Here end-->
{% endblock %}